/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.BugDensityChart;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.dto.ProjectDataVo;

import java.util.List;

/**
 * 缺陷密度分布图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 15:58:25  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugDensityChartService extends BasicService<BugDensityChart>
{
    void addByBatch(List<BugDensityChart> lists);

    void insertBatch(List<MidProjectInfo> dataList, String tenantId);

    List<BugDensityChart> getProjectList();

    void deleteByData(List<MidProjectInfo> dataList, String tenantId);

    List<ProjectDataVo> queryBugDensityByTenantId(String tenantId,List<String> projectIds);


// ----      The End by Generator     ----//

}
